// package main -- пускач для сервиса
package main

import (
	"log"
	"os"

	"adt/intertnal/fabrics"
)

func main() {
	log.Println("main(): adt_service")
	serv, err := fabrics.MakeService()
	if err != nil {
		log.Printf("main(): in create IService, err=\n\t%v\n", err)
		os.Exit(1)
	}
	if err := serv.Run(); err != nil {
		log.Printf("main(): in IService.Run, err=\n\t%v\n", err)
		os.Exit(2)
	}
}
