# Application design

Тестовое задание на гибкую архитектуру и рефакторинг

## Оглавление

* [техническое задание](./docs/tz.md);
* [описание архитектуры](./docs/arch.md);
* [описание исправлений](./docs/change.md).

## Цели сборки

```bash
make         # сборка для работы
make build   # -//-
make dev.run # сборка и запуск для отладки с детектором гонок
```

## Проверка вызова

```bash

curl --location --request POST 'localhost:8090/api/order/new' \
--header 'Content-Type: application/json' \
--data-raw '{
    "hotel_id": "reddison",
    "room_id": "lux",
    "email": "guest@mail.ru",
    "from": "2024-01-02T00:00:00Z",
    "to": "2024-01-04T00:00:00Z"
}'

```
