// package alias -- пакет с псевдонимами
package alias

// HotelId -- ID отеля
type HotelId string

// HotelName -- название отеля
type HotelName string

// RoomId -- ID номера
type RoomId string

// Email -- email
type Email string

// DateTime -- строковое представление времени в формате "2006-01-02 15:04:05.000 -0700 MST"
type DateTime string

// Date -- строковое представление даты в формате "2006-01-02"
type Date string

// OrderId -- ID заказа бронирования
type OrderId string

// BusyId -- ID бронирования номера в отеле в формате "hotel_id.room_id.date"
type BusyId string
